@compassdigital/sdk.typescript 4.837.0 → 4.839.0
This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
- package/lib/index.d.ts +49 -45
- package/lib/index.d.ts.map +1 -1
- package/lib/index.js +61 -43
- package/lib/index.js.map +1 -1
- package/lib/interface/auth.d.ts +22 -0
- package/lib/interface/auth.d.ts.map +1 -1
- package/lib/interface/consumer.d.ts +37 -38
- package/lib/interface/consumer.d.ts.map +1 -1
- package/lib/interface/menu.d.ts +0 -27
- package/lib/interface/menu.d.ts.map +1 -1
- package/package.json +1 -1
- package/src/index.ts +148 -116
- package/src/interface/auth.ts +49 -0
- package/src/interface/consumer.ts +72 -73
- package/src/interface/menu.ts +0 -37
package/package.json
CHANGED
package/src/index.ts
CHANGED
|
@@ -1015,8 +1015,6 @@ import {
|
|
|
1015
1015
|
DeleteMenuV4BrandCategoryResponse,
|
|
1016
1016
|
PostMenuV4BrandCategoryAttachItemsBody,
|
|
1017
1017
|
PostMenuV4BrandCategoryAttachItemsResponse,
|
|
1018
|
-
PostMenuV4BrandSwapCategoryItemsBody,
|
|
1019
|
-
PostMenuV4BrandSwapCategoryItemsResponse,
|
|
1020
1018
|
GetMenuV4BrandCatalogBackupVersionsResponse,
|
|
1021
1019
|
PostMenuV4BrandCatalogBackupRestoreBody,
|
|
1022
1020
|
PostMenuV4BrandCatalogBackupRestoreResponse,
|
|
@@ -1290,12 +1288,6 @@ import {
|
|
|
1290
1288
|
GetConsumerMenuV3Response,
|
|
1291
1289
|
GetConsumerMenuItemsQuery,
|
|
1292
1290
|
GetConsumerMenuItemsResponse$0,
|
|
1293
|
-
PostConsumerLocationsMarketplaceTimeslotsQuery,
|
|
1294
|
-
PostConsumerLocationsMarketplaceTimeslotsBody,
|
|
1295
|
-
PostConsumerLocationsMarketplaceTimeslotsResponse,
|
|
1296
|
-
PostConsumerLocationsMarketplaceTimeslotsDeliveryQuery,
|
|
1297
|
-
PostConsumerLocationsMarketplaceTimeslotsDeliveryBody,
|
|
1298
|
-
PostConsumerLocationsMarketplaceTimeslotsDeliveryResponse,
|
|
1299
1291
|
DeleteConsumerUserQuery,
|
|
1300
1292
|
DeleteConsumerUserResponse,
|
|
1301
1293
|
PutConsumerUserBody,
|
|
@@ -1348,10 +1340,8 @@ import {
|
|
|
1348
1340
|
GetConsumerConfigAppconfigResponse,
|
|
1349
1341
|
PatchCheckinConsumerOrderResponse,
|
|
1350
1342
|
GetConsumerAppThemeResponse,
|
|
1351
|
-
|
|
1352
|
-
|
|
1353
|
-
GetConsumerBrandMenuDeliveryTimeslotsQuery,
|
|
1354
|
-
GetConsumerBrandMenuDeliveryTimeslotsResponse,
|
|
1343
|
+
PostConsumerTimeslotsBody$0,
|
|
1344
|
+
PostConsumerTimeslotsResponse$0,
|
|
1355
1345
|
GetConsumerConfigPublicResponse$0,
|
|
1356
1346
|
PutConsumerShoppingcartPromoBody,
|
|
1357
1347
|
PutConsumerShoppingcartPromoResponse,
|
|
@@ -1538,6 +1528,14 @@ import {
|
|
|
1538
1528
|
PostAuthAuthorizeLoginResponse,
|
|
1539
1529
|
PostAuthAuthorizeSsoBody,
|
|
1540
1530
|
PostAuthAuthorizeSsoResponse,
|
|
1531
|
+
PostAuthAuthorizeDenyBody,
|
|
1532
|
+
PostAuthAuthorizeDenyResponse,
|
|
1533
|
+
GetWellKnownOauthAuthorizationServerResponse,
|
|
1534
|
+
GetWellKnownOauthAuthorizationServerAuthResponse,
|
|
1535
|
+
GetWellKnownOpenidConfigurationResponse,
|
|
1536
|
+
GetWellKnownOpenidConfigurationAuthResponse,
|
|
1537
|
+
GetWellKnownOauthProtectedResourceResponse,
|
|
1538
|
+
GetWellKnownOauthProtectedResourceAgentThriveMcpResponse,
|
|
1541
1539
|
} from './interface/auth';
|
|
1542
1540
|
|
|
1543
1541
|
import {
|
|
@@ -12131,28 +12129,6 @@ export class ServiceClient extends BaseServiceClient {
|
|
|
12131
12129
|
);
|
|
12132
12130
|
}
|
|
12133
12131
|
|
|
12134
|
-
/**
|
|
12135
|
-
* POST /menu/v4/brand/{id}/swap-category-items
|
|
12136
|
-
*
|
|
12137
|
-
* @param id
|
|
12138
|
-
* @param body
|
|
12139
|
-
* @param options - additional request options
|
|
12140
|
-
*/
|
|
12141
|
-
post_menu_v4_brand_swap_category_items(
|
|
12142
|
-
id: string,
|
|
12143
|
-
body: PostMenuV4BrandSwapCategoryItemsBody,
|
|
12144
|
-
options?: RequestOptions,
|
|
12145
|
-
): ResponsePromise<PostMenuV4BrandSwapCategoryItemsResponse> {
|
|
12146
|
-
return this.request(
|
|
12147
|
-
'menu',
|
|
12148
|
-
'/menu/v4/brand/{id}/swap-category-items',
|
|
12149
|
-
'POST',
|
|
12150
|
-
`/menu/v4/brand/${id}/swap-category-items`,
|
|
12151
|
-
body,
|
|
12152
|
-
options,
|
|
12153
|
-
);
|
|
12154
|
-
}
|
|
12155
|
-
|
|
12156
12132
|
/**
|
|
12157
12133
|
* GET /menu/v4/brand/{id}/catalog-backup/versions
|
|
12158
12134
|
*
|
|
@@ -15103,50 +15079,6 @@ export class ServiceClient extends BaseServiceClient {
|
|
|
15103
15079
|
);
|
|
15104
15080
|
}
|
|
15105
15081
|
|
|
15106
|
-
/**
|
|
15107
|
-
* POST /consumer/location/marketplace/timeslots - Get Marketplace timeslots
|
|
15108
|
-
*
|
|
15109
|
-
* @param body - Request body for marketplace timeslots
|
|
15110
|
-
* @param options - additional request options
|
|
15111
|
-
*/
|
|
15112
|
-
post_consumer_locations_marketplace_timeslots(
|
|
15113
|
-
body: PostConsumerLocationsMarketplaceTimeslotsBody,
|
|
15114
|
-
options?: {
|
|
15115
|
-
query?: PostConsumerLocationsMarketplaceTimeslotsQuery;
|
|
15116
|
-
} & RequestOptions,
|
|
15117
|
-
): ResponsePromise<PostConsumerLocationsMarketplaceTimeslotsResponse> {
|
|
15118
|
-
return this.request(
|
|
15119
|
-
'consumer',
|
|
15120
|
-
'/consumer/location/marketplace/timeslots',
|
|
15121
|
-
'POST',
|
|
15122
|
-
`/consumer/location/marketplace/timeslots`,
|
|
15123
|
-
body,
|
|
15124
|
-
options,
|
|
15125
|
-
);
|
|
15126
|
-
}
|
|
15127
|
-
|
|
15128
|
-
/**
|
|
15129
|
-
* POST /consumer/location/marketplace/timeslots/delivery - Get Marketplace timeslots
|
|
15130
|
-
*
|
|
15131
|
-
* @param body - Request body for marketplace timeslots delivery
|
|
15132
|
-
* @param options - additional request options
|
|
15133
|
-
*/
|
|
15134
|
-
post_consumer_locations_marketplace_timeslots_delivery(
|
|
15135
|
-
body: PostConsumerLocationsMarketplaceTimeslotsDeliveryBody,
|
|
15136
|
-
options?: {
|
|
15137
|
-
query?: PostConsumerLocationsMarketplaceTimeslotsDeliveryQuery;
|
|
15138
|
-
} & RequestOptions,
|
|
15139
|
-
): ResponsePromise<PostConsumerLocationsMarketplaceTimeslotsDeliveryResponse> {
|
|
15140
|
-
return this.request(
|
|
15141
|
-
'consumer',
|
|
15142
|
-
'/consumer/location/marketplace/timeslots/delivery',
|
|
15143
|
-
'POST',
|
|
15144
|
-
`/consumer/location/marketplace/timeslots/delivery`,
|
|
15145
|
-
body,
|
|
15146
|
-
options,
|
|
15147
|
-
);
|
|
15148
|
-
}
|
|
15149
|
-
|
|
15150
15082
|
/**
|
|
15151
15083
|
* DELETE /consumer/user/{id} - Delete user
|
|
15152
15084
|
*
|
|
@@ -15798,49 +15730,21 @@ export class ServiceClient extends BaseServiceClient {
|
|
|
15798
15730
|
}
|
|
15799
15731
|
|
|
15800
15732
|
/**
|
|
15801
|
-
*
|
|
15802
|
-
*
|
|
15803
|
-
* @param brandId - Brand ID as Encoded CDL ID
|
|
15804
|
-
* @param menuId - Menu ID as Encoded CDL ID
|
|
15805
|
-
* @param options - additional request options
|
|
15806
|
-
*/
|
|
15807
|
-
get_consumer_brand_menu_timeslots(
|
|
15808
|
-
brandId: string,
|
|
15809
|
-
menuId: string,
|
|
15810
|
-
options: {
|
|
15811
|
-
query: GetConsumerBrandMenuTimeslotsQuery;
|
|
15812
|
-
} & RequestOptions,
|
|
15813
|
-
): ResponsePromise<GetConsumerBrandMenuTimeslotsResponse> {
|
|
15814
|
-
return this.request(
|
|
15815
|
-
'consumer',
|
|
15816
|
-
'/consumer/location/brand/{brandId}/timeslots/menu/{menuId}',
|
|
15817
|
-
'GET',
|
|
15818
|
-
`/consumer/location/brand/${brandId}/timeslots/menu/${menuId}`,
|
|
15819
|
-
null,
|
|
15820
|
-
options,
|
|
15821
|
-
);
|
|
15822
|
-
}
|
|
15823
|
-
|
|
15824
|
-
/**
|
|
15825
|
-
* GET /consumer/location/brand/{brandId}/timeslots/delivery/menu/{menuId} - Get location brand menu delivery timeslots
|
|
15733
|
+
* POST /consumer/location/timeslots - Get timeslots
|
|
15826
15734
|
*
|
|
15827
|
-
* @param
|
|
15828
|
-
* @param menuId - Menu ID as Encoded CDL ID
|
|
15735
|
+
* @param body - Which timeslots to fetch
|
|
15829
15736
|
* @param options - additional request options
|
|
15830
15737
|
*/
|
|
15831
|
-
|
|
15832
|
-
|
|
15833
|
-
|
|
15834
|
-
|
|
15835
|
-
query: GetConsumerBrandMenuDeliveryTimeslotsQuery;
|
|
15836
|
-
} & RequestOptions,
|
|
15837
|
-
): ResponsePromise<GetConsumerBrandMenuDeliveryTimeslotsResponse> {
|
|
15738
|
+
post_consumer_timeslots(
|
|
15739
|
+
body: PostConsumerTimeslotsBody$0,
|
|
15740
|
+
options?: RequestOptions,
|
|
15741
|
+
): ResponsePromise<PostConsumerTimeslotsResponse$0> {
|
|
15838
15742
|
return this.request(
|
|
15839
15743
|
'consumer',
|
|
15840
|
-
'/consumer/location/
|
|
15841
|
-
'
|
|
15842
|
-
`/consumer/location/
|
|
15843
|
-
|
|
15744
|
+
'/consumer/location/timeslots',
|
|
15745
|
+
'POST',
|
|
15746
|
+
`/consumer/location/timeslots`,
|
|
15747
|
+
body,
|
|
15844
15748
|
options,
|
|
15845
15749
|
);
|
|
15846
15750
|
}
|
|
@@ -17928,6 +17832,134 @@ export class ServiceClient extends BaseServiceClient {
|
|
|
17928
17832
|
);
|
|
17929
17833
|
}
|
|
17930
17834
|
|
|
17835
|
+
/**
|
|
17836
|
+
* POST /auth/authorize/deny - User declined the authorization request (RFC 6749 s4.1.2.1 access_denied).
|
|
17837
|
+
*
|
|
17838
|
+
* @param body
|
|
17839
|
+
* @param options - additional request options
|
|
17840
|
+
*/
|
|
17841
|
+
post_auth_authorize_deny(
|
|
17842
|
+
body: PostAuthAuthorizeDenyBody,
|
|
17843
|
+
options?: RequestOptions,
|
|
17844
|
+
): ResponsePromise<PostAuthAuthorizeDenyResponse> {
|
|
17845
|
+
return this.request(
|
|
17846
|
+
'auth',
|
|
17847
|
+
'/auth/authorize/deny',
|
|
17848
|
+
'POST',
|
|
17849
|
+
`/auth/authorize/deny`,
|
|
17850
|
+
body,
|
|
17851
|
+
options,
|
|
17852
|
+
);
|
|
17853
|
+
}
|
|
17854
|
+
|
|
17855
|
+
/**
|
|
17856
|
+
* GET /.well-known/oauth-authorization-server - Authorization-server metadata at the root path (RFC 8414).
|
|
17857
|
+
*
|
|
17858
|
+
* @param options - additional request options
|
|
17859
|
+
*/
|
|
17860
|
+
get_well_known_oauth_authorization_server(
|
|
17861
|
+
options?: RequestOptions,
|
|
17862
|
+
): ResponsePromise<GetWellKnownOauthAuthorizationServerResponse> {
|
|
17863
|
+
return this.request(
|
|
17864
|
+
'auth',
|
|
17865
|
+
'/.well-known/oauth-authorization-server',
|
|
17866
|
+
'GET',
|
|
17867
|
+
`/.well-known/oauth-authorization-server`,
|
|
17868
|
+
null,
|
|
17869
|
+
options,
|
|
17870
|
+
);
|
|
17871
|
+
}
|
|
17872
|
+
|
|
17873
|
+
/**
|
|
17874
|
+
* GET /.well-known/oauth-authorization-server/auth - Authorization-server metadata with the issuer path inserted (RFC 8414).
|
|
17875
|
+
*
|
|
17876
|
+
* @param options - additional request options
|
|
17877
|
+
*/
|
|
17878
|
+
get_well_known_oauth_authorization_server_auth(
|
|
17879
|
+
options?: RequestOptions,
|
|
17880
|
+
): ResponsePromise<GetWellKnownOauthAuthorizationServerAuthResponse> {
|
|
17881
|
+
return this.request(
|
|
17882
|
+
'auth',
|
|
17883
|
+
'/.well-known/oauth-authorization-server/auth',
|
|
17884
|
+
'GET',
|
|
17885
|
+
`/.well-known/oauth-authorization-server/auth`,
|
|
17886
|
+
null,
|
|
17887
|
+
options,
|
|
17888
|
+
);
|
|
17889
|
+
}
|
|
17890
|
+
|
|
17891
|
+
/**
|
|
17892
|
+
* GET /.well-known/openid-configuration - OpenID Provider metadata at the root path (OIDC discovery).
|
|
17893
|
+
*
|
|
17894
|
+
* @param options - additional request options
|
|
17895
|
+
*/
|
|
17896
|
+
get_well_known_openid_configuration(
|
|
17897
|
+
options?: RequestOptions,
|
|
17898
|
+
): ResponsePromise<GetWellKnownOpenidConfigurationResponse> {
|
|
17899
|
+
return this.request(
|
|
17900
|
+
'auth',
|
|
17901
|
+
'/.well-known/openid-configuration',
|
|
17902
|
+
'GET',
|
|
17903
|
+
`/.well-known/openid-configuration`,
|
|
17904
|
+
null,
|
|
17905
|
+
options,
|
|
17906
|
+
);
|
|
17907
|
+
}
|
|
17908
|
+
|
|
17909
|
+
/**
|
|
17910
|
+
* GET /.well-known/openid-configuration/auth - OpenID Provider metadata with the issuer path inserted (OIDC discovery).
|
|
17911
|
+
*
|
|
17912
|
+
* @param options - additional request options
|
|
17913
|
+
*/
|
|
17914
|
+
get_well_known_openid_configuration_auth(
|
|
17915
|
+
options?: RequestOptions,
|
|
17916
|
+
): ResponsePromise<GetWellKnownOpenidConfigurationAuthResponse> {
|
|
17917
|
+
return this.request(
|
|
17918
|
+
'auth',
|
|
17919
|
+
'/.well-known/openid-configuration/auth',
|
|
17920
|
+
'GET',
|
|
17921
|
+
`/.well-known/openid-configuration/auth`,
|
|
17922
|
+
null,
|
|
17923
|
+
options,
|
|
17924
|
+
);
|
|
17925
|
+
}
|
|
17926
|
+
|
|
17927
|
+
/**
|
|
17928
|
+
* GET /.well-known/oauth-protected-resource - Protected-resource metadata when the URL names no resource (RFC 9728).
|
|
17929
|
+
*
|
|
17930
|
+
* @param options - additional request options
|
|
17931
|
+
*/
|
|
17932
|
+
get_well_known_oauth_protected_resource(
|
|
17933
|
+
options?: RequestOptions,
|
|
17934
|
+
): ResponsePromise<GetWellKnownOauthProtectedResourceResponse> {
|
|
17935
|
+
return this.request(
|
|
17936
|
+
'auth',
|
|
17937
|
+
'/.well-known/oauth-protected-resource',
|
|
17938
|
+
'GET',
|
|
17939
|
+
`/.well-known/oauth-protected-resource`,
|
|
17940
|
+
null,
|
|
17941
|
+
options,
|
|
17942
|
+
);
|
|
17943
|
+
}
|
|
17944
|
+
|
|
17945
|
+
/**
|
|
17946
|
+
* GET /.well-known/oauth-protected-resource/agent/thrive/mcp - Protected-resource metadata for the thrive MCP endpoint (RFC 9728 §3.1).
|
|
17947
|
+
*
|
|
17948
|
+
* @param options - additional request options
|
|
17949
|
+
*/
|
|
17950
|
+
get_well_known_oauth_protected_resource_agent_thrive_mcp(
|
|
17951
|
+
options?: RequestOptions,
|
|
17952
|
+
): ResponsePromise<GetWellKnownOauthProtectedResourceAgentThriveMcpResponse> {
|
|
17953
|
+
return this.request(
|
|
17954
|
+
'auth',
|
|
17955
|
+
'/.well-known/oauth-protected-resource/agent/thrive/mcp',
|
|
17956
|
+
'GET',
|
|
17957
|
+
`/.well-known/oauth-protected-resource/agent/thrive/mcp`,
|
|
17958
|
+
null,
|
|
17959
|
+
options,
|
|
17960
|
+
);
|
|
17961
|
+
}
|
|
17962
|
+
|
|
17931
17963
|
/**
|
|
17932
17964
|
* GET /review - Get reviews by taxonomy
|
|
17933
17965
|
*
|
package/src/interface/auth.ts
CHANGED
|
@@ -62,6 +62,8 @@ export interface SSOConfigsResponseDTO {
|
|
|
62
62
|
tokenEndpoint: string;
|
|
63
63
|
userinfoEndpoint: string;
|
|
64
64
|
realm: string;
|
|
65
|
+
// The client these SSO users are affiliated with
|
|
66
|
+
clientAffiliation?: string;
|
|
65
67
|
mapping?: SSOMapping;
|
|
66
68
|
}
|
|
67
69
|
|
|
@@ -73,6 +75,7 @@ export interface SSOConfigRequestDTO {
|
|
|
73
75
|
tokenEndpoint: string;
|
|
74
76
|
userinfoEndpoint: string;
|
|
75
77
|
realm: string;
|
|
78
|
+
clientAffiliation?: string;
|
|
76
79
|
protocol: 'OIDC' | 'SAML2';
|
|
77
80
|
mapping?: SSOMapping;
|
|
78
81
|
}
|
|
@@ -88,6 +91,7 @@ export interface SSOConfigUpdateRequestDTO {
|
|
|
88
91
|
tokenEndpoint: string;
|
|
89
92
|
userinfoEndpoint: string;
|
|
90
93
|
realm: string;
|
|
94
|
+
clientAffiliation?: string;
|
|
91
95
|
protocol: 'OIDC' | 'SAML2';
|
|
92
96
|
mapping?: SSOMapping;
|
|
93
97
|
}
|
|
@@ -316,6 +320,8 @@ export interface AuthorizeRequestResponseDTO {
|
|
|
316
320
|
client_name: string;
|
|
317
321
|
scopes: string[];
|
|
318
322
|
realm: string;
|
|
323
|
+
// Name of the MCP resource the client asked to access (RFC 8707).
|
|
324
|
+
resource_name?: string;
|
|
319
325
|
}
|
|
320
326
|
|
|
321
327
|
export interface AuthorizeLoginRequestDTO {
|
|
@@ -335,6 +341,18 @@ export interface AuthorizeSsoRequestDTO {
|
|
|
335
341
|
token: string;
|
|
336
342
|
}
|
|
337
343
|
|
|
344
|
+
export interface AuthorizeDenyRequestDTO {
|
|
345
|
+
request_id: string;
|
|
346
|
+
}
|
|
347
|
+
|
|
348
|
+
export interface ProtectedResourceMetadataResponseDTO {
|
|
349
|
+
resource: string;
|
|
350
|
+
authorization_servers: string[];
|
|
351
|
+
bearer_methods_supported: string[];
|
|
352
|
+
resource_name: string;
|
|
353
|
+
scopes_supported: string[];
|
|
354
|
+
}
|
|
355
|
+
|
|
338
356
|
// POST /auth/flow - Determines the authentication flow for a user based on their email address
|
|
339
357
|
|
|
340
358
|
export type PostAuthFlowBody = SSOFlowRequestDTO;
|
|
@@ -560,3 +578,34 @@ export type PostAuthAuthorizeLoginResponse = AuthorizeRedirectResponseDTO;
|
|
|
560
578
|
export type PostAuthAuthorizeSsoBody = AuthorizeSsoRequestDTO;
|
|
561
579
|
|
|
562
580
|
export type PostAuthAuthorizeSsoResponse = AuthorizeRedirectResponseDTO;
|
|
581
|
+
|
|
582
|
+
// POST /auth/authorize/deny - User declined the authorization request (RFC 6749 s4.1.2.1 access_denied).
|
|
583
|
+
|
|
584
|
+
export type PostAuthAuthorizeDenyBody = AuthorizeDenyRequestDTO;
|
|
585
|
+
|
|
586
|
+
export type PostAuthAuthorizeDenyResponse = AuthorizeRedirectResponseDTO;
|
|
587
|
+
|
|
588
|
+
// GET /.well-known/oauth-authorization-server - Authorization-server metadata at the root path (RFC 8414).
|
|
589
|
+
|
|
590
|
+
export type GetWellKnownOauthAuthorizationServerResponse = OpenIdConfigurationResponseDTO;
|
|
591
|
+
|
|
592
|
+
// GET /.well-known/oauth-authorization-server/auth - Authorization-server metadata with the issuer path inserted (RFC 8414).
|
|
593
|
+
|
|
594
|
+
export type GetWellKnownOauthAuthorizationServerAuthResponse = OpenIdConfigurationResponseDTO;
|
|
595
|
+
|
|
596
|
+
// GET /.well-known/openid-configuration - OpenID Provider metadata at the root path (OIDC discovery).
|
|
597
|
+
|
|
598
|
+
export type GetWellKnownOpenidConfigurationResponse = OpenIdConfigurationResponseDTO;
|
|
599
|
+
|
|
600
|
+
// GET /.well-known/openid-configuration/auth - OpenID Provider metadata with the issuer path inserted (OIDC discovery).
|
|
601
|
+
|
|
602
|
+
export type GetWellKnownOpenidConfigurationAuthResponse = OpenIdConfigurationResponseDTO;
|
|
603
|
+
|
|
604
|
+
// GET /.well-known/oauth-protected-resource - Protected-resource metadata when the URL names no resource (RFC 9728).
|
|
605
|
+
|
|
606
|
+
export type GetWellKnownOauthProtectedResourceResponse = ProtectedResourceMetadataResponseDTO;
|
|
607
|
+
|
|
608
|
+
// GET /.well-known/oauth-protected-resource/agent/thrive/mcp - Protected-resource metadata for the thrive MCP endpoint (RFC 9728 §3.1).
|
|
609
|
+
|
|
610
|
+
export type GetWellKnownOauthProtectedResourceAgentThriveMcpResponse =
|
|
611
|
+
ProtectedResourceMetadataResponseDTO;
|
|
@@ -3015,12 +3015,19 @@ export interface PostConsumerLocationMarketplaceTimeslotsBody {
|
|
|
3015
3015
|
}
|
|
3016
3016
|
|
|
3017
3017
|
export interface ConsumerTimeslot {
|
|
3018
|
+
// Timeslot ID (start time as unix seconds)
|
|
3018
3019
|
id?: number;
|
|
3020
|
+
// The CDL id representing the brand this timeslot belongs to
|
|
3019
3021
|
brand_id?: string;
|
|
3022
|
+
// Start time of the timeslot as an ISO 8601 string
|
|
3020
3023
|
start_time?: string;
|
|
3024
|
+
// Duration of the timeslot as HH:mm:ss
|
|
3021
3025
|
duration?: string;
|
|
3026
|
+
// Whether the timeslot can still accept orders
|
|
3022
3027
|
is_available?: boolean;
|
|
3028
|
+
// Number of orders already placed in the timeslot
|
|
3023
3029
|
number_orders?: number;
|
|
3030
|
+
// Delivery destinations served by this timeslot (delivery only)
|
|
3024
3031
|
delivery_destinations?: string[];
|
|
3025
3032
|
}
|
|
3026
3033
|
|
|
@@ -4156,6 +4163,26 @@ export interface GetConsumerLocationBrandMenuDeliveryTimeslotsResponse {
|
|
|
4156
4163
|
timeslots?: ConsumerTimeslot[];
|
|
4157
4164
|
}
|
|
4158
4165
|
|
|
4166
|
+
export interface PostConsumerTimeslotsBody {
|
|
4167
|
+
// Fulfillment type of the timeslots. Defaults to pickup.
|
|
4168
|
+
fulfillment?: 'pickup' | 'delivery';
|
|
4169
|
+
// Brand ID as Encoded CDL ID. Use together with `menu` for a single (non-marketplace) brand.
|
|
4170
|
+
brand?: string;
|
|
4171
|
+
// Menu ID as Encoded CDL ID. Use together with `brand`.
|
|
4172
|
+
menu?: string;
|
|
4173
|
+
// Marketplace stations to merge timeslots across. Each station needs a brand. Mutually exclusive with `brand`/`menu`.
|
|
4174
|
+
stations?: ConsumerStation[];
|
|
4175
|
+
// Return timeslots on or after this date, in milliseconds since epoch.
|
|
4176
|
+
date?: number;
|
|
4177
|
+
// Maximum number of timeslots to return.
|
|
4178
|
+
limit?: number;
|
|
4179
|
+
}
|
|
4180
|
+
|
|
4181
|
+
export interface PostConsumerTimeslotsResponse {
|
|
4182
|
+
// Available timeslots
|
|
4183
|
+
timeslots: ConsumerTimeslot[];
|
|
4184
|
+
}
|
|
4185
|
+
|
|
4159
4186
|
export interface ConsumerPublicMealplanConfig {
|
|
4160
4187
|
// The mealplan id
|
|
4161
4188
|
id?: string;
|
|
@@ -4753,22 +4780,55 @@ export interface PostExternalExchangeLoginCodeResponseDTO {
|
|
|
4753
4780
|
}
|
|
4754
4781
|
|
|
4755
4782
|
export interface GetConsumerLocationResponse {
|
|
4756
|
-
// id
|
|
4757
|
-
id
|
|
4758
|
-
|
|
4759
|
-
|
|
4760
|
-
|
|
4761
|
-
|
|
4783
|
+
// CDL id of the location
|
|
4784
|
+
id?: string;
|
|
4785
|
+
// ISO timestamp the location was deleted, if any
|
|
4786
|
+
deleted_at?: string;
|
|
4787
|
+
// operation id
|
|
4788
|
+
operation_id?: number;
|
|
4762
4789
|
// name
|
|
4763
|
-
name
|
|
4790
|
+
name?: string;
|
|
4764
4791
|
label?: {
|
|
4765
4792
|
en?: string;
|
|
4766
4793
|
fr?: string;
|
|
4767
4794
|
};
|
|
4768
|
-
//
|
|
4769
|
-
|
|
4795
|
+
// display order within its group
|
|
4796
|
+
sequence?: number;
|
|
4797
|
+
// search terms
|
|
4798
|
+
search?: string[];
|
|
4799
|
+
// app the location belongs to
|
|
4800
|
+
app?: string;
|
|
4801
|
+
// address
|
|
4802
|
+
address?: ConsumerAddress;
|
|
4803
|
+
// latitude
|
|
4804
|
+
latitude?: number;
|
|
4805
|
+
// longitude
|
|
4806
|
+
longitude?: number;
|
|
4807
|
+
// brands (stations) attached to the location
|
|
4808
|
+
brands?: ConsumerBrand[];
|
|
4770
4809
|
// meta data
|
|
4771
4810
|
meta?: Record<string, any>;
|
|
4811
|
+
// phone number
|
|
4812
|
+
phone?: string;
|
|
4813
|
+
// CDL id of the group of this location
|
|
4814
|
+
location_group?: string;
|
|
4815
|
+
// CDL id of the multigroup of this location
|
|
4816
|
+
location_multigroup?: string;
|
|
4817
|
+
// CDL id of the sector of this location
|
|
4818
|
+
sector?: string;
|
|
4819
|
+
date?: {
|
|
4820
|
+
deleted?: string;
|
|
4821
|
+
created?: string;
|
|
4822
|
+
modified?: string;
|
|
4823
|
+
};
|
|
4824
|
+
// shared drop-off timeslot settings
|
|
4825
|
+
timeslots?: Record<string, any>;
|
|
4826
|
+
// marketplace configuration
|
|
4827
|
+
market_place?: ConsumerLocationMarketPlace;
|
|
4828
|
+
// site operational status
|
|
4829
|
+
status?: 'active' | 'inactive';
|
|
4830
|
+
// distance in meters from the caller
|
|
4831
|
+
distance?: number;
|
|
4772
4832
|
style?: {
|
|
4773
4833
|
logo?: string | null;
|
|
4774
4834
|
main_logo?: string | null;
|
|
@@ -4776,10 +4836,6 @@ export interface GetConsumerLocationResponse {
|
|
|
4776
4836
|
};
|
|
4777
4837
|
// timezone
|
|
4778
4838
|
timezone?: string;
|
|
4779
|
-
// site operational status
|
|
4780
|
-
status?: Record<string, any>;
|
|
4781
|
-
locations?: ConsumerLocation[];
|
|
4782
|
-
address?: ConsumerAddress;
|
|
4783
4839
|
}
|
|
4784
4840
|
|
|
4785
4841
|
export interface GetDeliveryOrderResponseDto {
|
|
@@ -5198,36 +5254,6 @@ export interface GetConsumerMenuItemsQuery {
|
|
|
5198
5254
|
|
|
5199
5255
|
export type GetConsumerMenuItemsResponse$0 = GetConsumerMenuItemsResponse;
|
|
5200
5256
|
|
|
5201
|
-
// POST /consumer/location/marketplace/timeslots - Get Marketplace timeslots
|
|
5202
|
-
|
|
5203
|
-
export interface PostConsumerLocationsMarketplaceTimeslotsQuery {
|
|
5204
|
-
// Date of the timeslot
|
|
5205
|
-
date?: number;
|
|
5206
|
-
// Limit the number of timeslots returned
|
|
5207
|
-
limit?: number;
|
|
5208
|
-
}
|
|
5209
|
-
|
|
5210
|
-
export type PostConsumerLocationsMarketplaceTimeslotsBody =
|
|
5211
|
-
PostConsumerLocationMarketplaceTimeslotsBody;
|
|
5212
|
-
|
|
5213
|
-
export type PostConsumerLocationsMarketplaceTimeslotsResponse =
|
|
5214
|
-
PostConsumerLocationMarketplaceTimeslotsResponse;
|
|
5215
|
-
|
|
5216
|
-
// POST /consumer/location/marketplace/timeslots/delivery - Get Marketplace timeslots
|
|
5217
|
-
|
|
5218
|
-
export interface PostConsumerLocationsMarketplaceTimeslotsDeliveryQuery {
|
|
5219
|
-
// Date of the timeslot
|
|
5220
|
-
date?: number;
|
|
5221
|
-
// Limit the number of timeslots returned
|
|
5222
|
-
limit?: number;
|
|
5223
|
-
}
|
|
5224
|
-
|
|
5225
|
-
export type PostConsumerLocationsMarketplaceTimeslotsDeliveryBody =
|
|
5226
|
-
PostConsumerLocationMarketplaceTimeslotsDeliveryBody;
|
|
5227
|
-
|
|
5228
|
-
export type PostConsumerLocationsMarketplaceTimeslotsDeliveryResponse =
|
|
5229
|
-
PostConsumerLocationMarketplaceTimeslotsDeliveryResponse;
|
|
5230
|
-
|
|
5231
5257
|
// DELETE /consumer/user/{id} - Delete user
|
|
5232
5258
|
|
|
5233
5259
|
export interface DeleteConsumerUserPath {
|
|
@@ -5532,38 +5558,11 @@ export interface GetConsumerAppThemePath {
|
|
|
5532
5558
|
|
|
5533
5559
|
export type GetConsumerAppThemeResponse = GetAppThemeResponse;
|
|
5534
5560
|
|
|
5535
|
-
//
|
|
5536
|
-
|
|
5537
|
-
export interface GetConsumerBrandMenuTimeslotsPath {
|
|
5538
|
-
// Brand ID as Encoded CDL ID
|
|
5539
|
-
brandId: string;
|
|
5540
|
-
// Menu ID as Encoded CDL ID
|
|
5541
|
-
menuId: string;
|
|
5542
|
-
}
|
|
5543
|
-
|
|
5544
|
-
export interface GetConsumerBrandMenuTimeslotsQuery {
|
|
5545
|
-
// Date in milliseconds
|
|
5546
|
-
date: number;
|
|
5547
|
-
}
|
|
5548
|
-
|
|
5549
|
-
export type GetConsumerBrandMenuTimeslotsResponse = GetConsumerLocationBrandMenuTimeslotsResponse;
|
|
5550
|
-
|
|
5551
|
-
// GET /consumer/location/brand/{brandId}/timeslots/delivery/menu/{menuId} - Get location brand menu delivery timeslots
|
|
5561
|
+
// POST /consumer/location/timeslots - Get timeslots
|
|
5552
5562
|
|
|
5553
|
-
export
|
|
5554
|
-
// Brand ID as Encoded CDL ID
|
|
5555
|
-
brandId: string;
|
|
5556
|
-
// Menu ID as Encoded CDL ID
|
|
5557
|
-
menuId: string;
|
|
5558
|
-
}
|
|
5559
|
-
|
|
5560
|
-
export interface GetConsumerBrandMenuDeliveryTimeslotsQuery {
|
|
5561
|
-
// Date in milliseconds
|
|
5562
|
-
date: number;
|
|
5563
|
-
}
|
|
5563
|
+
export type PostConsumerTimeslotsBody$0 = PostConsumerTimeslotsBody;
|
|
5564
5564
|
|
|
5565
|
-
export type
|
|
5566
|
-
GetConsumerLocationBrandMenuDeliveryTimeslotsResponse;
|
|
5565
|
+
export type PostConsumerTimeslotsResponse$0 = PostConsumerTimeslotsResponse;
|
|
5567
5566
|
|
|
5568
5567
|
// GET /consumer/config/public/{id} - Get consumer public config
|
|
5569
5568
|
|
package/src/interface/menu.ts
CHANGED
|
@@ -2165,17 +2165,6 @@ export interface CategoryItemRelationshipDTO {
|
|
|
2165
2165
|
[index: string]: any;
|
|
2166
2166
|
}
|
|
2167
2167
|
|
|
2168
|
-
export interface SwappedCategoryDTO {
|
|
2169
|
-
category_id?: string;
|
|
2170
|
-
sequence?: number;
|
|
2171
|
-
}
|
|
2172
|
-
|
|
2173
|
-
export interface SwapOriginalStatesDTO {
|
|
2174
|
-
swap_out_was_visible: boolean;
|
|
2175
|
-
swap_in_was_visible: boolean;
|
|
2176
|
-
[index: string]: any;
|
|
2177
|
-
}
|
|
2178
|
-
|
|
2179
2168
|
export interface CatalogBackupVersionDTO {
|
|
2180
2169
|
version_id?: string;
|
|
2181
2170
|
last_modified?: string;
|
|
@@ -9125,32 +9114,6 @@ export interface PostMenuV4BrandCategoryAttachItemsRequest
|
|
|
9125
9114
|
body: PostMenuV4BrandCategoryAttachItemsBody;
|
|
9126
9115
|
}
|
|
9127
9116
|
|
|
9128
|
-
// POST /menu/v4/brand/{id}/swap-category-items
|
|
9129
|
-
|
|
9130
|
-
export interface PostMenuV4BrandSwapCategoryItemsPath {
|
|
9131
|
-
id: string;
|
|
9132
|
-
}
|
|
9133
|
-
|
|
9134
|
-
export interface PostMenuV4BrandSwapCategoryItemsBody {
|
|
9135
|
-
menu_id: string;
|
|
9136
|
-
category_ids: string[];
|
|
9137
|
-
swap_out_item_id: string;
|
|
9138
|
-
swap_in_item_id: string;
|
|
9139
|
-
[index: string]: any;
|
|
9140
|
-
}
|
|
9141
|
-
|
|
9142
|
-
export interface PostMenuV4BrandSwapCategoryItemsResponse {
|
|
9143
|
-
status?: string;
|
|
9144
|
-
swapped_categories?: SwappedCategoryDTO[];
|
|
9145
|
-
original_states?: SwapOriginalStatesDTO;
|
|
9146
|
-
}
|
|
9147
|
-
|
|
9148
|
-
export interface PostMenuV4BrandSwapCategoryItemsRequest
|
|
9149
|
-
extends BaseRequest,
|
|
9150
|
-
PostMenuV4BrandSwapCategoryItemsPath {
|
|
9151
|
-
body: PostMenuV4BrandSwapCategoryItemsBody;
|
|
9152
|
-
}
|
|
9153
|
-
|
|
9154
9117
|
// GET /menu/v4/brand/{id}/catalog-backup/versions
|
|
9155
9118
|
|
|
9156
9119
|
export interface GetMenuV4BrandCatalogBackupVersionsPath {
|